/*
________________________________________

S H A P E S   C L A S S
Ron Kessler
Created 2/25/2017

This class is an abstract class because I defined a pure virtual
function named area.

My child/derived classes will modify this function. If I call area on a
rectangle, the compiler will call the computeArea function of a rectangle.

If I pass in a triangle, it will use the computeArea function to get the
area of a triangle.

*/


#pragma once


//abstract class because of the virtual method. Abstract means MUST INHERIT. Cannot instantiate.
class Shapes						// use sealed	to prohibit any derived classes!
	{
		public:


		Shapes ()
			{
			}

		~Shapes ()
			{
			}

		virtual int area () = 0;			// =0 is called a pure specifier. It creates a pure virtual function that all child classes will implement/add functionality.
		//virtual int area () const = 0;		  //using const to assure we do not change original values
	};

